#include <bits/stdc++.h>

using namespace std;

int main()
{
    string slova; cin >> slova;
    int a, b; cin >> a >> b;

    if(abs(a - b) > 1)
        cout << "nemoguce" << endl;
    else
    {
        if(a >= b)
        {
            for(int i = 0; i < a + b; i++)
            {
                if(i % 2 == 0)
                    cout << slova[0];
                else
                    cout << slova[1];
            }
        }
        else
        {
            for(int i = 0; i < a + b; i++)
            {
                if(i % 2 == 1)
                    cout << slova[0];
                else
                    cout << slova[1];
            }
        }
    }

    return 0;
}